% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_ison.R
\docType{data}
\name{fict_thrones}
\alias{fict_thrones}
\title{One-mode Game of Thrones kinship (Glander 2017)}
\format{
\if{html}{\out{<div class="sourceCode">}}\preformatted{#> -- # Game of Thrones Kinship ---------------------------------------------------
#> # A labelled, multiplex, directed network of 208 characters and 404 kinship
#> arcs
#> 
#> -- Nodes
#> # A tibble: 208 x 10
#>   name          culture house  popularity Gender title birth death noble married
#>   <chr>         <fct>   <chr>       <dbl> <chr>  <chr> <int> <int> <lgl> <lgl>  
#> 1 Alys Arryn    <NA>    House~     0.0803 female ""       NA    NA FALSE TRUE   
#> 2 Elys Waynwood <NA>    House~     0.0702 female "Ser"    NA    NA TRUE  TRUE   
#> 3 Jasper Arryn  <NA>    House~     0.0435 male   "Eyr~    NA    NA TRUE  FALSE  
#> 4 Jeyne Royce   <NA>    House~     0      female  <NA>    NA    NA NA    NA     
#> 5 Jon Arryn     Valemen House~     0.836  male   "Eyr~   217   298 TRUE  TRUE   
#> 6 Lysa Arryn    <NA>    House~     0      female "Lad~   266   300 TRUE  TRUE   
#> # i 202 more rows
#> 
#> -- Ties
#> # A tibble: 404 x 3
#>    from    to type  
#>   <int> <int> <chr> 
#> 1     1     2 spouse
#> 2     2     1 spouse
#> 3     3     1 parent
#> 4     3     5 parent
#> 5     4     5 spouse
#> 6     5     4 spouse
#> # i 398 more rows
#> 
}\if{html}{\out{</div>}}
}
\usage{
data(fict_thrones)
}
\description{
The original dataset was put together by Erin Pierce and Ben Kahle for an
assignment for a course on Bayesian statistics.
The data included information on when characters died in the Song of Ice
and Fire books,
and some predictive factors such as whether they were nobles, married, etc.
Shirin Glander extended this data set on character deaths in the TV series
Game of Thrones with the kinship relationships between the characters,
by scraping "A Wiki of Ice and Fire" and adding missing information by hand.
There is certainly more that can be done here.
}
\references{
Pierce, Erin, and Ben Kahle. 2015.
"\href{http://allendowney.blogspot.com/2015/03/bayesian-survival-analysis-for-game-of.html}{Bayesian Survival Analysis in A Song of Ice and Fire}".

Glander, Shirin. 2017.
"\href{https://datascienceplus.com/network-analysis-of-game-of-thrones/}{Network analysis of Game of Thrones}".
}
\keyword{datasets}
