% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/motif_census.R
\name{member_brokerage}
\alias{member_brokerage}
\alias{node_in_brokering}
\title{Memberships of brokerage}
\usage{
node_in_brokering(.data, membership)
}
\arguments{
\item{.data}{An object of a manynet-consistent class:
\itemize{
\item matrix (adjacency or incidence) from \code{{base}} R
\item edgelist, a data frame from \code{{base}} R or tibble from \code{{tibble}}
\item igraph, from the \code{{igraph}} package
\item network, from the \code{{network}} package
\item tbl_graph, from the \code{{tidygraph}} package
}}

\item{membership}{A vector of partition membership as integers.}
}
\description{
These functions include ways to take a census of the brokerage positions of nodes
in a network:
\itemize{
\item \code{node_in_brokerage()} returns nodes membership as a powerhouse,
connector, linchpin, or sideliner according to Hamilton et al. (2020).
}
}
\seealso{
Other memberships: 
\code{\link{mark_core}},
\code{\link{member_cliques}},
\code{\link{member_community_hier}},
\code{\link{member_community_non}},
\code{\link{member_components}},
\code{\link{member_equivalence}}
}
\concept{memberships}
